diff --git a/drupal7/sites/all/modules/i18n/i18n_block/i18n_block.module b/drupal7/sites/all/modules/i18n/i18n_block/i18n_block.module
index 94619008..5328a5fc 100644
--- a/drupal7/sites/all/modules/i18n/i18n_block/i18n_block.module
+++ b/drupal7/sites/all/modules/i18n/i18n_block/i18n_block.module
@@ -59,7 +59,7 @@ function i18n_block_menu_alter(&$items) {
  */
 function i18n_block_translate_tab_access($module, $delta) {
   $block = block_load($module, $delta);
-  return user_access('translate interface') && isset($block) && ($block->i18n_mode == I18N_MODE_LOCALIZE);
+  return user_access('translate interface') && $block && isset($block->i18n_mode) && ($block->i18n_mode == I18N_MODE_LOCALIZE);
 }
 
 /**
diff --git a/drupal7/sites/all/modules/i18n/i18n_contact/i18n_contact.info b/drupal7/sites/all/modules/i18n/i18n_contact/i18n_contact.info
index be25cb64..7bad71d2 100644
--- a/drupal7/sites/all/modules/i18n/i18n_contact/i18n_contact.info
+++ b/drupal7/sites/all/modules/i18n/i18n_contact/i18n_contact.info
@@ -5,9 +5,9 @@ dependencies[] = i18n_string
 package = Multilingual - Internationalization
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.info b/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.info
index 6e2119ba..552eb392 100644
--- a/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.info
+++ b/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.info
@@ -6,9 +6,9 @@ package = Multilingual - Internationalization
 core = 7.x
 files[] = i18n_field.inc
 files[] = i18n_field.test
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.module b/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.module
index b6823975..eadd2f5c 100644
--- a/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.module
+++ b/drupal7/sites/all/modules/i18n/i18n_field/i18n_field.module
@@ -248,13 +248,13 @@ function i18n_field_field_widget_form_alter(&$element, &$form_state, $context) {
       if ($filefield && $single_value && $no_default) {
         $help_variables = array(
           'description' => field_filter_xss($instance['description']),
-          'upload_validators' => $alter_element['#upload_validators'],
+          'upload_validators' => isset($alter_element['#upload_validators']) ? $alter_element['#upload_validators'] : array(),
         );
         $original_description = theme('file_upload_help', $help_variables);
         if ($alter_element['#description'] == $original_description) {
           $help_variables = array(
             'description' => field_filter_xss($instance_current['description']),
-            'upload_validators' => $alter_element['#upload_validators'],
+            'upload_validators' => isset($alter_element['#upload_validators']) ? $alter_element['#upload_validators'] : array(),
           );
           $alter_element['#description'] = theme('file_upload_help', $help_variables);
         }
@@ -403,7 +403,9 @@ function i18n_field_translate_allowed_values($field, $langcode = NULL) {
  * Translate field default.
  */
 function i18n_field_translate_default($instance, $value, $langcode = NULL) {
-  return i18n_string_translate(array('field', $instance['field_name'], $instance['bundle'], 'default_value'), $value, array('langcode' => $langcode));
+  // The default value does not need sanitizing in a text_textfield widget.
+  $sanitize = !($instance['widget']['type'] == 'text_textfield' && $instance['widget']['module'] == 'text');
+  return i18n_string_translate(array('field', $instance['field_name'], $instance['bundle'], 'default_value'), $value, array('langcode' => $langcode, 'sanitize' => $sanitize));
 }
 
 /**
diff --git a/drupal7/sites/all/modules/i18n/i18n_forum/i18n_forum.info b/drupal7/sites/all/modules/i18n/i18n_forum/i18n_forum.info
index b44a7aab..afd96583 100644
--- a/drupal7/sites/all/modules/i18n/i18n_forum/i18n_forum.info
+++ b/drupal7/sites/all/modules/i18n/i18n_forum/i18n_forum.info
@@ -7,9 +7,9 @@ package = Multilingual - Internationalization
 core = 7.x
 files[] = i18n_forum.test
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.info b/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.info
index b3537736..7a6821c7 100644
--- a/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.info
+++ b/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.info
@@ -10,9 +10,9 @@ core = 7.x
 files[] = i18n_menu.inc
 files[] = i18n_menu.test
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.module b/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.module
index ab857929..8bcf6796 100644
--- a/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.module
+++ b/drupal7/sites/all/modules/i18n/i18n_menu/i18n_menu.module
@@ -530,7 +530,7 @@ function _i18n_menu_link_process(&$link) {
       }
     }
     // Skip if administering this menu item through the node edit form.
-    elseif (arg(0) == 'node' && arg(2) == 'edit') {
+    elseif (arg(0) == 'node' && arg(2) == 'edit' && $link['link_path'] == arg(0) . '/' . arg(1)) {
       return FALSE;
     }
     return TRUE;
diff --git a/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.info b/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.info
index 9b851057..4522510e 100644
--- a/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.info
+++ b/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.info
@@ -9,9 +9,9 @@ configure = admin/config/regional/i18n/node
 files[]=i18n_node.test
 files[]=i18n_node.variable.inc
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.tokens.inc b/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.tokens.inc
new file mode 100644
index 00000000..dc05a009
--- /dev/null
+++ b/drupal7/sites/all/modules/i18n/i18n_node/i18n_node.tokens.inc
@@ -0,0 +1,61 @@
+<?php
+
+/**
+ * @file
+ * Builds placeholder replacement tokens for content types.
+ */
+
+/**
+ * Implements hook_token_info().
+ */
+function i18n_node_token_info() {
+  $content_type['i18n-name'] = array(
+    'name' => t("Name (localized)"),
+    'description' => t("The name of the content type."),
+  );
+  $content_type['i18n-description'] = array(
+    'name' => t("Description (localized)"),
+    'description' => t("The optional description of the content type."),
+  );
+
+  return array(
+    'tokens' => array(
+      'content-type' => $content_type,
+    ),
+  );
+}
+
+/**
+ * Implements hook_tokens().
+ */
+function i18n_node_tokens($type, $tokens, array $data = array(), array $options = array()) {
+  $replacements = array();
+  $sanitize = !empty($options['sanitize']) ? TRUE : FALSE;
+  $langcode = isset($options['language']) ? $options['language']->language : i18n_langcode();
+
+  if ($type == 'content-type' && !empty($data['node_type'])) {
+
+    $node_type = $data['node_type'];
+
+    foreach ($tokens as $name => $original) {
+      switch ($name) {
+
+        case 'i18n-name':
+          $name = array('node', 'type', $node_type->type, 'name');
+          $options = array('sanitize' => $sanitize, 'langcode' => $langcode);
+          $name = i18n_string_translate($name, $node_type->name, $options);
+          $replacements[$original] = $name;
+          break;
+
+        case 'i18n-description':
+          $description = array('node', 'type', $node_type->type, 'description');
+          $options = array('sanitize' => $sanitize, 'langcode' => $langcode);
+          $description = i18n_string_translate($description, $node_type->description, $options);
+          $replacements[$original] = $description;
+          break;
+      }
+    }
+  }
+
+  return $replacements;
+}
diff --git a/drupal7/sites/all/modules/i18n/i18n_path/i18n_path.info b/drupal7/sites/all/modules/i18n/i18n_path/i18n_path.info
index 1df91724..10f62e7c 100644
--- a/drupal7/sites/all/modules/i18n/i18n_path/i18n_path.info
+++ b/drupal7/sites/all/modules/i18n/i18n_path/i18n_path.info
@@ -6,9 +6,9 @@ core = 7.x
 
 files[] = i18n_path.inc
 files[] = i18n_path.test
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_redirect/i18n_redirect.info b/drupal7/sites/all/modules/i18n/i18n_redirect/i18n_redirect.info
index 9faba242..6f6ee43d 100644
--- a/drupal7/sites/all/modules/i18n/i18n_redirect/i18n_redirect.info
+++ b/drupal7/sites/all/modules/i18n/i18n_redirect/i18n_redirect.info
@@ -4,9 +4,9 @@ dependencies[] = i18n
 package = Multilingual - Internationalization
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.info b/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.info
index fa849d29..7c47197f 100644
--- a/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.info
+++ b/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.info
@@ -6,9 +6,9 @@ core = 7.x
 configure = admin/config/regional/i18n/select
 files[] = i18n_select.test
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.module b/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.module
index 4ba44886..bcba5782 100644
--- a/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.module
+++ b/drupal7/sites/all/modules/i18n/i18n_select/i18n_select.module
@@ -223,7 +223,7 @@ function _i18n_select_table_alias($table) {
 function i18n_select_check_conditions($query, $table_alias = NULL) {
   $conditions =& $query->conditions();
   foreach ($conditions as $index => $condition) {
-    if (is_array($condition) && isset($condition['field'])) {
+    if (is_array($condition) && !empty($condition['field'])) {
       if (strpos($condition['field'], '.') === FALSE) {
         if ($table_alias) {
           // Change the condition to include a table alias.
diff --git a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.inc b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.inc
index 38df8c2a..33fa444d 100644
--- a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.inc
+++ b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.inc
@@ -166,7 +166,7 @@ class i18n_string_object {
    * Get translation to language from string object
    */
   public function get_translation($langcode) {
-    if (empty($this->translations[$langcode])) {
+    if (!isset($this->translations[$langcode])) {
       $translation = $this->textgroup()->load_translation($this, $langcode);
       if ($translation && isset($translation->translation)) {
         $this->set_translation($translation, $langcode);
@@ -1234,7 +1234,7 @@ class i18n_string_object_wrapper extends i18n_object_wrapper {
    */
   public function translate($langcode, $options = array()) {
     // We may have it already translated. As objects are statically cached, translations are too.
-    if (empty($this->translations[$langcode])) {
+    if (!isset($this->translations[$langcode])) {
       $this->translations[$langcode] = $this->translate_object($langcode, $options);
     }
     return $this->translations[$langcode];
diff --git a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.info b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.info
index e3bb69de..301a54ec 100644
--- a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.info
+++ b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.info
@@ -10,9 +10,9 @@ files[] = i18n_string.inc
 files[] = i18n_string.test
 configure = admin/config/regional/i18n/strings
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.install b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.install
index 511bc8a2..100d7c04 100644
--- a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.install
+++ b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.install
@@ -28,6 +28,8 @@ function i18n_string_install() {
     i18n_string_update_7000();
     i18n_string_update_7001();
   }
+  // Create new index in {locales_source}, performance improvement in sites with i18n.
+  db_add_index('locales_source', 'textgroup_context', array('textgroup', 'context'));
 }
 
 /**
@@ -36,6 +38,8 @@ function i18n_string_install() {
 function i18n_string_uninstall() {
   // Drop custom field.
   db_drop_field('locales_target', 'i18n_status');
+  // Drop custom index in locales_source table
+  db_drop_index('locales_source', 'textgroup_context');
 }
 
 /**
@@ -230,6 +234,14 @@ function i18n_string_update_7001() {
   }
 }
 
+/**
+ *  Create new index in {locales_source}, performance improvement in sites with i18n.
+ */
+function i18n_string_update_7002() {
+  db_add_index('locales_source', 'textgroup_context', array('textgroup', 'context'));
+}
+
+
 /**
  * Notes for update script
  */
diff --git a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.pages.inc b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.pages.inc
index eb4d8b66..4d0da59c 100644
--- a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.pages.inc
+++ b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.pages.inc
@@ -398,8 +398,9 @@ function i18n_string_locale_translate_edit_form_submit($form, &$form_state) {
   // Invoke locale submission.
   locale_translate_edit_form_submit($form, $form_state);
   $lid = $form_state['values']['lid'];
-  $i18n_string_object = i18n_string_get_by_lid($lid);
-  $i18n_string_object->cache_reset();
+  if ($i18n_string_object = i18n_string_get_by_lid($lid)) {
+    $i18n_string_object->cache_reset();
+  }
   foreach ($form_state['values']['translations'] as $key => $value) {
     if (!empty($value)) {
       // An update has been made, so we assume the translation is now current.
diff --git a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.test b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.test
index 2b8cd15a..f11c7564 100644
--- a/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.test
+++ b/drupal7/sites/all/modules/i18n/i18n_string/i18n_string.test
@@ -120,6 +120,38 @@ class i18nStringTestCase extends Drupali18nTestCase {
         $this->assertText($string_cache->data['string']);
       }
     }
+
+    // Test that un-translated strings are cached correctly.
+    $textgroup = 'test_cached';
+    $key = 3;
+    $string = self::randomName(100);
+    $name = "$textgroup:item:$key:title";
+    i18n_string_update($name, $string);
+
+    // Generate the cache entry.
+    $string_object = i18n_string_build($name, $string);
+    $langcode = i18n_langcode();
+    $string_object->get_translation($langcode);
+
+    // Destroy the textgroup object to write the cache entry.
+    $textgroup_object = i18n_string_textgroup($textgroup);
+    $textgroup_object->__destruct();
+    $this->assertTrue(cache_get($string_object->get_cid()) !== FALSE, "Cache entry created.");
+    drupal_static_reset('i18n_string_textgroup');
+
+    // Reset the loaded translation variable.
+    variable_del('i18n_loaded_translations');
+    $loaded_translations = variable_get('i18n_loaded_translations', array());
+    $this->verbose(var_export($loaded_translations, TRUE));
+
+    // Rebuild the string.
+    $string_object = i18n_string_build($name, $string);
+    $string_object->get_translation($langcode);
+
+    // Check that the string hasn't been loaded.
+    $loaded_translations = variable_get('i18n_loaded_translations', array());
+    $this->verbose(var_export($loaded_translations, TRUE));
+    $this->assertFalse(isset($loaded_translations['test_cached:item:3:title']), "The untranslated string was correctly cached.");
   }
 
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.info b/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.info
index 395ab049..2f1cd55e 100644
--- a/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.info
+++ b/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.info
@@ -10,9 +10,9 @@ files[] = i18n_sync.install
 files[] = i18n_sync.module.inc
 files[] = i18n_sync.node.inc
 files[] = i18n_sync.test
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.module b/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.module
index 8720e790..8aaadbec 100644
--- a/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.module
+++ b/drupal7/sites/all/modules/i18n/i18n_sync/i18n_sync.module
@@ -11,8 +11,6 @@
  *
  * Notes:
  * This module needs to run after taxonomy, i18n, translation. Check module weight.
- *
- * @ TODO Test with CCK when possible, api may have changed.
  */
 
 /**
@@ -71,15 +69,6 @@ function i18n_sync_field_info_alter(&$fields) {
   }
 }
 
-/**
- * Implements hook_form_FORM_ID_alter().
- */
-function i18n_sync_form_node_admin_content_alter(&$form, &$form_state) {
-  if (!empty($form['operation']) && $form['operation']['#value'] == 'delete') {
-    $form['#submit'] = array_merge(array('i18n_sync_node_delete_submit'), $form['#submit']);
-  }
-}
-
 /**
  * Implements hook_form_FORM_ID_alter().
  */
diff --git a/drupal7/sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.info b/drupal7/sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.info
index 2ca2bddb..2412c40e 100644
--- a/drupal7/sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.info
+++ b/drupal7/sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.info
@@ -11,9 +11,9 @@ files[] = i18n_taxonomy.pages.inc
 files[] = i18n_taxonomy.admin.inc
 files[] = i18n_taxonomy.test
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_translation/i18n_translation.info b/drupal7/sites/all/modules/i18n/i18n_translation/i18n_translation.info
index aa340324..190173c5 100644
--- a/drupal7/sites/all/modules/i18n/i18n_translation/i18n_translation.info
+++ b/drupal7/sites/all/modules/i18n/i18n_translation/i18n_translation.info
@@ -6,9 +6,9 @@ core = 7.x
 
 files[] = i18n_translation.inc
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_user/i18n_user.info b/drupal7/sites/all/modules/i18n/i18n_user/i18n_user.info
index 3d462330..7c6ee3ba 100644
--- a/drupal7/sites/all/modules/i18n/i18n_user/i18n_user.info
+++ b/drupal7/sites/all/modules/i18n/i18n_user/i18n_user.info
@@ -4,9 +4,9 @@ core = 7.x
 package = Multilingual - Internationalization
 dependencies[] = i18n_variable
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/i18n_variable/i18n_variable.info b/drupal7/sites/all/modules/i18n/i18n_variable/i18n_variable.info
index 14edd316..6956a25d 100644
--- a/drupal7/sites/all/modules/i18n/i18n_variable/i18n_variable.info
+++ b/drupal7/sites/all/modules/i18n/i18n_variable/i18n_variable.info
@@ -10,9 +10,9 @@ configure = admin/config/regional/i18n/variable
 files[] = i18n_variable.class.inc
 files[] = i18n_variable.test
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/tests/i18n_test.info b/drupal7/sites/all/modules/i18n/tests/i18n_test.info
index 9f9f4ed9..9ccf441d 100644
--- a/drupal7/sites/all/modules/i18n/tests/i18n_test.info
+++ b/drupal7/sites/all/modules/i18n/tests/i18n_test.info
@@ -7,9 +7,9 @@ package = Testing
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-04-16
-version = "7.x-1.11"
+; Information added by Drupal.org packaging script on 2015-01-26
+version = "7.x-1.12"
 core = "7.x"
 project = "i18n"
-datestamp = "1397666996"
+datestamp = "1422286982"
 
diff --git a/drupal7/sites/all/modules/i18n/tests/i18n_test.module b/drupal7/sites/all/modules/i18n/tests/i18n_test.module
index 6ece0388..0d72729a 100644
--- a/drupal7/sites/all/modules/i18n/tests/i18n_test.module
+++ b/drupal7/sites/all/modules/i18n/tests/i18n_test.module
@@ -40,7 +40,7 @@ function i18n_test_i18n_string_info() {
     'title' => t('Test Cached Strings'),
     'description' => t('Translatable items of a textgroup with caching enabled.'),
     'format' => FALSE, // This group doesn't have strings with format
-    'class' => 'i18n_string_textgroup_cached',
+    'class' => 'i18n_string_textgroup_cached_logged',
   );
   return $groups;
 }
@@ -89,4 +89,13 @@ function i18n_test_menu() {
     'delivery callback' => 'drupal_json_output',
   );
   return $items;
+}
+
+class i18n_string_textgroup_cached_logged extends i18n_string_textgroup_cached {
+  public static function load_translation($i18nstring, $langcode) {
+    $strings = variable_get('i18n_loaded_translations', array());
+    $strings[$i18nstring->get_name()] = true;
+    variable_set('i18n_loaded_translations', $strings);
+    parent::load_translation($i18nstring, $langcode);
+  }
 }
\ No newline at end of file
diff --git a/drupal7/sites/all/modules/jquery_update/jquery_update.info b/drupal7/sites/all/modules/jquery_update/jquery_update.info
index e328ba72..7517c48e 100644
--- a/drupal7/sites/all/modules/jquery_update/jquery_update.info
+++ b/drupal7/sites/all/modules/jquery_update/jquery_update.info
@@ -7,9 +7,9 @@ files[] = jquery_update.install
 
 configure = admin/config/development/jquery_update
 
-; Information added by Drupal.org packaging script on 2014-04-02
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2015-01-25
+version = "7.x-2.5"
 core = "7.x"
 project = "jquery_update"
-datestamp = "1396482246"
+datestamp = "1422221882"
 
diff --git a/drupal7/sites/all/modules/jquery_update/jquery_update.install b/drupal7/sites/all/modules/jquery_update/jquery_update.install
index e167a230..3633ddde 100644
--- a/drupal7/sites/all/modules/jquery_update/jquery_update.install
+++ b/drupal7/sites/all/modules/jquery_update/jquery_update.install
@@ -18,7 +18,7 @@ function jquery_update_requirements($phase) {
     $requirements['jquery_update'] = array(
       'title' => $t('jQuery Update'),
       'severity' => REQUIREMENT_OK,
-      'value' => t('jQuery %jquery and jQuery UI %ui', array('%jquery' => $jquery['version'], '%ui' => $ui['version'])),
+      'value' => t('jQuery %jquery (<a href="@link">configure</a>) and jQuery UI %ui', array('%jquery' => $jquery['version'], '%ui' => $ui['version'], '@link' => url('admin/config/development/jquery_update'))),
     );
   }
 
